﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace ogrenciotomasyonu
{
    public partial class fogrenciler : Form
    {

        MySqlDataAdapter da_ogrenci;
        public fogrenciler(MySqlDataAdapter da)
        {
            InitializeComponent();
            da_ogrenci = da;
            ogrenci_listboxdoldur();
        }


        DataTable dt_ogrenci;
        private void ogrenci_listboxdoldur()
        {
            try
            {
                dt_ogrenci = new DataTable();
                logrenci.Items.Clear();
                da_ogrenci.Fill(dt_ogrenci);

                for (int satir = 0; satir < dt_ogrenci.Rows.Count; satir++)
                {
                    logrenci.Items.Add(dt_ogrenci.Rows[satir].ItemArray[1].ToString());
                }
            }
            catch { 
            }
            
            
        }

        private void bekle_Click(object sender, EventArgs e)
        {

            if (togrenci.Text.Length > 0)
            {
                try
                {
                    DataRow dr = dt_ogrenci.NewRow();
                    dr["adi"] = togrenci.Text;
                    dt_ogrenci.Rows.Add(dr);
                    da_ogrenci.Update(dt_ogrenci);

                    togrenci.Clear();
                }
                catch
                {

                }

                ogrenci_listboxdoldur();

            }

           

        }

        private void bkapat_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
